Subject: bug#65347: 29.1; Underscore in query replace prevents case-matching

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Aug 2023 20:03:52 -0400

>> When it finds "FOo" and converts it to "Bar" and I change it to "BAr" it
>> should remember that mapping such that next time it finds that exact
>> same capitalization "FOo" it should use "BAr" as replacement.
> Is it really what happens in these cases?  IME, the capitalization
> patterns, when they don't fit the heuristic, are inconsistent with one
> another, and bumping into one such "non-standard" replacement doesn't
> mean all those replacements after it will be necessarily
> "non-standard", let alone in the same way.

I guess YMMV, but my experience is that the mapping is usually fixed
(at least "per search&replace"), and in the OP's case it is as well.

        Stefan